package cn.com.poc.knowledge.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for KnowledgeQuery
 */
@Entity
public class KnowledgeQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * kd_id
     * kd_id
     */
    private Integer kdId;

    @Column(name = "kd_id")
    public Integer getKdId() {
        return this.kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    /**
     * owner
     * owner
     */
    private String owner;

    @Column(name = "owner")
    public String getOwner() {
        return this.owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    /**
     * knowledge_type
     * knowledge_type
     */
    private String knowledgeType;

    @Column(name = "knowledge_type")
    public String getKnowledgeType() {
        return this.knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }

    /**
     * document_name
     * document_name
     */
    private String documentName;

    @Column(name = "document_name")
    public String getDocumentName() {
        return this.documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    /**
     * document_url
     * document_url
     */
    private String documentUrl;

    @Column(name = "document_url")
    public String getDocumentUrl() {
        return this.documentUrl;
    }

    public void setDocumentUrl(String documentUrl) {
        this.documentUrl = documentUrl;
    }

    /**
     * char_count
     * char_count
     */
    private Long charCount;

    @Column(name = "char_count")
    public Long getCharCount() {
        return this.charCount;
    }

    public void setCharCount(Long charCount) {
        this.charCount = charCount;
    }

    /**
     * document_size
     */
    private Long documentSize;

    @Column(name = "document_size")
    public Long getDocumentSize() {
        return this.documentSize;
    }

    public void setDocumentSize(Long documentSize) {
        this.documentSize = documentSize;
    }

    /**
     * upload_time
     * upload_time
     */
    private java.util.Date uploadTime;

    @Column(name = "upload_time")
    public java.util.Date getUploadTime() {
        return this.uploadTime;
    }

    public void setUploadTime(java.util.Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    private String segmentationConfig;

    @Column(name = "segmentation_config")
    public String getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(String segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }

    /**
     * is_enable
     * is_enable
     */
    private String isEnable;

    @Column(name = "is_enable")
    public String getIsEnable() {
        return this.isEnable;
    }

    public void setIsEnable(String isEnable) {
        this.isEnable = isEnable;
    }

    /**
     * knowledge_id
     * knowledge_id
     */
    private String knowledgeId;

    @Column(name = "knowledge_id")
    public String getKnowledgeId() {
        return this.knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    /**
     * train_status
     * train_status
     */
    private String trainStatus;

    @Column(name = "train_status")
    public String getTrainStatus() {
        return this.trainStatus;
    }

    public void setTrainStatus(String trainStatus) {
        this.trainStatus = trainStatus;
    }

} 